org.eclipse.oomph.util

## Class ReflectUtil.ReflectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.oomph.util.ReflectUtil.ReflectionException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    ReflectUtil

      public static class ReflectUtil.ReflectionException
      extends RuntimeException

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectUtil.ReflectionException()`
    `ReflectUtil.ReflectionException(String message)`
    `ReflectUtil.ReflectionException(String message, Throwable cause)`
    `ReflectUtil.ReflectionException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectUtil.ReflectionException

          public ReflectUtil.ReflectionException()

    - #### ReflectUtil.ReflectionException

          public ReflectUtil.ReflectionException(String message,
                                         Throwable cause)

    - #### ReflectUtil.ReflectionException

          public ReflectUtil.ReflectionException(String message)

    - #### ReflectUtil.ReflectionException

          public ReflectUtil.ReflectionException(Throwable cause)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html